Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class AbstractMultimap.WrappedMap

    java.lang.Object
      java.util.AbstractMap<K,Collection<V>>
          org.modeshape.common.collection.AbstractMultimap.WrappedMap

All Implemented Interfaces:
  Map<K,Collection<V>>

Enclosing class:
  AbstractMultimap<K,V>

    protected class AbstractMultimap.WrappedMap

extends AbstractMap<K,Collection<V>>

Nested Class Summary
`protected class` | `AbstractMultimap.WrappedMap.WrappedEntrySet`
`protected class` | `AbstractMultimap.WrappedMap.WrappedMapEntryIterator`

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`protected` | `AbstractMultimap.WrappedMap(Map<K,Collection<V>> wrapped)`

Method Summary
`protected Map<K,Collection<V>>` | `delegate()`
`Set<Map.Entry<K,Collection<V>>>` | `entrySet()`
`boolean` | `equals(Object o)`
`Collection<V>` | `get(Object key)`
`int` | `hashCode()`
`Collection<V>` | `remove(Object key)`
`String` | `toString()`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, put, putAll, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractMultimap.WrappedMap

    protected AbstractMultimap.WrappedMap(Map<K,Collection<V>> wrapped)

Method Detail

### entrySet

    public Set<Map.Entry<K,Collection<V>>> entrySet()

  Specified by:
    `entrySet` in interface `Map<K,Collection<V>>`
  Specified by:
    `entrySet` in class `AbstractMap<K,Collection<V>>`
  See Also:
    `AbstractMap.entrySet()`

### delegate

    protected Map<K,Collection<V>> delegate()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<K,Collection<V>>`
  Overrides:
    `hashCode` in class `AbstractMap<K,Collection<V>>`
  See Also:
    `AbstractMap.hashCode()`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<K,Collection<V>>`
  Overrides:
    `equals` in class `AbstractMap<K,Collection<V>>`
  See Also:
    `AbstractMap.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractMap<K,Collection<V>>`
  See Also:
    `AbstractMap.toString()`

### get

    public Collection<V> get(Object key)

  Specified by:
    `get` in interface `Map<K,Collection<V>>`
  Overrides:
    `get` in class `AbstractMap<K,Collection<V>>`
  See Also:
    `AbstractMap.get(java.lang.Object)`

### remove

    public Collection<V> remove(Object key)

  Specified by:
    `remove` in interface `Map<K,Collection<V>>`
  Overrides:
    `remove` in class `AbstractMap<K,Collection<V>>`
  See Also:
    `AbstractMap.remove(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.